[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tmatrix4_single):Tmatrix4_extended

Allow assignment of four-dimensional single precision matrix to four-dimensional extended precision matrix

## Declaration

Source position: matrix.pp line 524

`operator operator :=(`
`const v: Tmatrix4_single`
`):Tmatrix4_extended;`

## Description

This operator allows you to use a four-dimensional matrix with single precision values wherever a four-dimensional matrix with extended precision is expected.